What web browsers are supported by CanRisk?



Where possible, we recommend that you access the CanRisk Tool using an up-to-date desktop web browser. The website has been developed using the current desktop versions of Chrome.

Browser testing has been carried out on the following desktop web browsers:

Chrome: 94.0, 93.0, 92.0
Firefox: 92.0, 91.0, 90.0
Opera: 80.0, 79.0, 78.0
Internet Explorer: 11
Edge: 95, 94, 93